Package org.apache.storm.daemon.supervisor

# Class TimerDecoratedAssignment

java.lang.Object
org.apache.storm.generated.LocalAssignment
org.apache.storm.daemon.supervisor.TimerDecoratedAssignment

All Implemented Interfaces:
  `Serializable`, `AutoCloseable`, `Cloneable`, `Comparable<LocalAssignment>`, `TimerDecorated`, `org.apache.storm.thrift.TBase<LocalAssignment,LocalAssignment._Fields>`, `org.apache.storm.thrift.TSerializable`

public class TimerDecoratedAssignment extends LocalAssignment implements TimerDecorated

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.storm.generated.LocalAssignment

  `LocalAssignment._Fields`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.generated.LocalAssignment

  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimerDecoratedAssignment(LocalAssignment other, com.codahale.metrics.Timer timer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `stopTiming()`

  ### Methods inherited from class org.apache.storm.generated.LocalAssignment

  `add_to_executors, clear, compareTo, deepCopy, equals, equals, fieldForId, get_executors, get_executors_iterator, get_executors_size, get_owner, get_resources, get_topology_id, get_total_node_shared, getFieldValue, hashCode, is_set_executors, is_set_owner, is_set_resources, is_set_topology_id, is_set_total_node_shared, isSet, read, set_executors, set_executors_isSet, set_owner, set_owner_isSet, set_resources, set_resources_isSet, set_topology_id, set_topology_id_isSet, set_total_node_shared, set_total_node_shared_isSet, setFieldValue, toString, unset_executors, unset_owner, unset_resources, unset_topology_id, unset_total_node_shared, validate, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.metric.timed.TimerDecorated

  `close, stopTiming`

- ## Constructor Details

  - ### TimerDecoratedAssignment

    public TimerDecoratedAssignment(LocalAssignment other, com.codahale.metrics.Timer timer)

- ## Method Details

  - ### stopTiming

    public long stopTiming()
    Specified by:
      `stopTiming` in interface `TimerDecorated`